> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Information

> Get detailed information of a specific channel

## Description

This endpoint returns detailed information of a specific channel through its ID.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique authenticated session ID
</ParamField>

<ParamField path="id" type="string" required>
  Unique ID of the channel to get information
</ParamField>

## Response

<ResponseField name="id" type="string">
  Unique ID of the channel
</ResponseField>

<ResponseField name="name" type="string">
  Name of the channel
</ResponseField>

<ResponseField name="description" type="string">
  Description of the channel
</ResponseField>

<ResponseField name="followersCount" type="number">
  Number of followers of the channel
</ResponseField>

<ResponseField name="picture" type="string">
  URL of the channel image
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "id": "123456789@newsletter",
    "name": "News Channel",
    "description": "Latest news and updates",
    "followersCount": 1523,
    "picture": "https://..."
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Information obtained successfully
* `400` - Invalid ID
* `401` - Unauthorized
* `404` - Channel not found
* `500` - Internal server error

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const channelId = '123456789@newsletter';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}`);
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  channel_id = '123456789@newsletter'
  response = requests.get(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}')
  data = response.json()
  print(data)
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json get /api/{session}/channels/{id}
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/channels/{id}:
    get:
      tags:
        - 📢 Channels
      summary: Get channel information
      description: >-
        You can use either id (123@newsletter) OR invite code
        (https://www.whatsapp.com/channel/123). The {session} parameter must be
        the session.
      operationId: ChannelsController_get
      parameters:
        - name: session
          required: true
          in: path
          description: Session name (instanceName)
          example: my-session
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            default: 123123123@newsletter
          description: >-
            WhatsApp Channel ID or invite code from invite link
            https://www.whatsapp.com/channel/11111
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Channel'
      security:
        - api_key: []
components:
  schemas:
    Channel:
      type: object
      properties:
        id:
          type: string
          description: Newsletter id
          example: 123123123123@newsletter
        name:
          type: string
          description: Channel name
          example: Channel Name
        invite:
          type: string
          description: Invite link
          example: https://www.whatsapp.com/channel/111111111111111111111111
        preview:
          type: string
          description: Preview for channel's picture
          example: https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10
        picture:
          type: string
          description: Channel's picture
          example: https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10
        role:
          enum:
            - OWNER
            - ADMIN
            - SUBSCRIBER
            - GUEST
          type: string
        description:
          type: string
        verified:
          type: boolean
        subscribersCount:
          type: number
      required:
        - id
        - name
        - invite
        - role
        - verified
        - subscribersCount
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````